Package org.apache.calcite.avatica.remote

# Class Service.Base

java.lang.Object
org.apache.calcite.avatica.remote.Service.Base

Direct Known Subclasses:
  `Service.Request`, `Service.Response`

Enclosing interface:
  Service

public abstract static class Service.Base extends Object
Base class for request and response.

## Constructor Summary

Constructors
Constructor
Description
`Base()`

## Method Summary

Modifier and Type
Method
Description
`protected static int`
`p(int result, boolean v)`
`protected static int`
`p(int result, int v)`
`protected static int`
`p(int result, long v)`
`protected static int`
`p(int result, Object o)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Base

public Base()

## Method Details

### p

protected static int p(int result, Object o)

### p

protected static int p(int result, boolean v)

### p

protected static int p(int result, int v)

### p

protected static int p(int result, long v)